; Include file for Cogard Printer module
;
; Definiions for Memory locations and I/O ports
;
; RAM Bank 0 usage
;	DCU Date, Time & Version
; 10 11 12 13 14 15 16 17 18 19 1A 1B 1C 1D 1E 1F
; YY MM DD HH mm SS SS SS VV VV ss xx xx rr tt dd
; YY = Year, MM = Month, DD = Day, HH = Hour, mm = minute, SS = Serialnumber
; VV = DCU Firmware version, rr = MAX value for mode
; tt = Tag to program, dd = Programming mode
; Programming mode index:
; 0 = Year
; 1 = Month
; 2 = Day
; 3 = Hour
; 4 = Minute
; 5 = Tag
; 6 = Batch mode
;
; RAM Bank 1 usage
;	Serial recieve buffer
; RAM Bank 2 usage
;	Serial recieve buffer
; RAM Bank 3 usage
;	Workspacefor Serial Xmit buffer & LCD Display buffer & Printing
; Mode register useage
;	Bit 0	1 = printing bookings
;	Bit 1	1 = Received booking start time
;	Bit 2	1 = requested Status 
;	Bit 3	1 = Command pending to be sent (i.e. Set Time, Program Slot, Set Batch mode...)
;	Bit 4	1 = Requested Tag Data
;	Bit 5	1 = DCU unlocked/in programming mode
;	Bit 6	1 = Valid tag data is available/Print only Date
;	Bit 7	1 = have Date/Time
;

B0_CmdCount	equ	0x1c		; Count of CMD prompts recieved
B0_PRange	equ	0x1d		; Programming rang
B0_PTag		equ	0x1e		; Tag to program
B0_PMode	equ	0x1f		; Bank 0 Value, Programming mode index

Count   equ     0x08
Count1  equ     0x09
DCnt    equ     0x0a
SReg    equ     0x0b
Temp    equ     0x0c
Temp1   equ     0x0d		; Printer Position
Mode    equ     0x0e		; Mode flags
TEST    equ     0x0f

B0Base  equ     0x00		; Bank 0 RAM

B1Base  equ     0x20		; Serial Receive buffer

B2Base  equ     0x40		; Working Buffer

B3Base  equ     0x60		; Print Buffer?

; * * * * * Port A Pin DEfs * * * * * *
A_VDDP    equ     0		; VDDP On/Off
A_V45     equ     1		; VDDP 4.5V Select
A_V50     equ     2		; VDDP 5.0V Select
A_VIHH    equ     3		; MCLR Programming mode select

; * * * * * Port B Pin Defs * * * * * *
B_PON    equ     0		; Printer motor ON/OFF
B_PMAG   equ     1		; Print head engage
B_TA4    equ     2		; Print Button
B_LED	 equ	 3		; LED Port for Testing
I2C_SCL   equ    6		; I2C Clock port
I2C_SDA   equ    7		; I2C Data port

; * * * * * Port C Pin Defs * * * * * *
C_DS1   equ     0		; Shift register Data 1/MR, Low resets Shift Reg.
C_SMR   equ     0		; Shift register Data 1/MR, Low resets Shift Reg.
C_DS2   equ     1		; Shift reg data
C_SCL   equ     2		; Sift reg clock
C_DRS   equ     3		; Display Register select, 0 = Ins., 1 = data
C_DRW   equ     4		; Display Read/Write, 0 = Write
C_DEN   equ     5		; Display data Clock
C_DB6   equ     6		; Data bit 6
C_DBF   equ     7		; Dsiplay busy flag/Shift reg

